curl --request GET \
--url https://api.example.com/api/v1/cards/{card_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cards/{card_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cards/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get card by ID
Get single card details by Card UUID.
curl --request GET \
--url https://api.example.com/api/v1/cards/{card_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cards/{card_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cards/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Card response - universal format for any provider.
Provider-specific card identifier.
Linked wallet address
Card status.
pending, active, blocked, closed Card spending limit.
Show child attributes
Show child attributes
Card display data (non-sensitive).
Show child attributes
Show child attributes
True if card details have been revealed and cached
Address schema for user.
Canonical field names: street_address, address_line_2, city, state, country, zip. Accepts legacy Align/IBAN field names (street_line_1, street_line_2, postal_code) for backward compatibility with existing JSONB data.
Show child attributes
Show child attributes
Total spent today on this card (from fiat_transfers)
User-defined card label/nickname
Was this page helpful?